﻿using UnityEngine;
using System.Collections;

public class BallBehaviour : MonoBehaviour
{
    public float Speed = 50.0f;
    private Rigidbody rb;
    // Use this for initialization
    void Start()
    {
        rb = GetComponent<Rigidbody>();
        rb.AddForce((transform.forward + transform.right) * Speed, ForceMode.VelocityChange);
    }
	
    // Update is called once per frame
    void Update()
    {
        // ボールが静止しているときにジャンプキーで発射
        if (Input.GetButtonUp("Jump") && rb.velocity == Vector3.zero)
        {
            
            // rb.AddForce((transform.forward + transform.right) * Speed, ForceMode.VelocityChange);
        }
    }

    void OnCollisionEnter(Collision other)
    {
        rb.velocity = rb.velocity.normalized * 15;
        if (Mathf.Abs(rb.velocity.z) < 5)
        {
            rb.velocity = new Vector3(rb.velocity.x, rb.velocity.y, rb.velocity.z * 5);
        }
        if (Mathf.Abs(rb.velocity.x) < 5)
        {
            rb.velocity = new Vector3(rb.velocity.x * 5, rb.velocity.y, rb.velocity.z);
        }
    }
}
