﻿using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;
using System.Collections;

public class GameManager : MonoBehaviour
{
    public int Life = 3;
    public int Score = 0;
    public Text TextScore;
    public Text TextLife;


    // Use this for initialization
    void Start()
    {
        Debug.Log("GameManager Start!");
        DontDestroyOnLoad(this); // 自動で削除しない。

    }

    // ブロックタグをカウントする。
    int GetBlockCount()
    {
        GameObject[] blocks = GameObject.FindGameObjectsWithTag("Block");
        if (blocks == null)
            return 0;
        else
            return blocks.Length;
    }
	
    // Update is called once per frame
    void Update()
    {
        // calc blockCount;
        int count = GetBlockCount();
        Debug.Log("block count: " + count);
        if (count <= 0)
        {
            SceneManager.LoadScene("Gameclear");
        }
    }
}
